ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 32455] New: - JavaCC task should prefer newer versions of JavaCC
Date Tue, 30 Nov 2004 17:26:25 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=32455>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=32455

           Summary: JavaCC task should prefer newer versions of JavaCC
           Product: Ant
           Version: 1.6.2
          Platform: PC
        OS/Version: Windows 2000
            Status: NEW
          Severity: minor
          Priority: P4
         Component: Optional Tasks
        AssignedTo: dev@ant.apache.org
        ReportedBy: mmchenry@carnegielearning.com


I just upgraded from JavaCC 1.1 to JavaCC 3.2 (it's been a while I guess!). 
Anyway, midway through the upgrade, I had both the old JavaCC.zip and the new
javacc.jar in the directory specified by javacchome.  In this situation, the
<javacc> task executed the old 1.1 version of JavaCC found in JavaCC.zip.  It
should have preferred the newer 3.2 version found in javacc.jar.  Once I removed
the old JavaCC.zip, it correctly found the new 3.2 version in javacc.jar.

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message